import Vue from 'vue'
import App from './App.vue'
import router from "@/router";

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

Vue.config.productionTip = false
Vue.use(ElementUI)

// 配置axios，完成ajax请求
import axios from 'axios'
Vue.prototype.$axios = axios;

new Vue({
  router: router,
  render: h => h(App),
}).$mount('#app')
